package com.spring.series.aop.advice;

import java.lang.reflect.Method;

import org.springframework.aop.MethodBeforeAdvice;

public class BeforeAdviceInterceptor implements MethodBeforeAdvice {

	@Override
	public void before(Method method, Object[] args, Object target) throws Throwable {
		System.out.println("******** MethodBeforeAdvice : " + method.getName() + " ********");
	}

	/**
	 * this is method is invoked from the pointcut expression declared in the spring context xml
	 */
	public void beforeAdviceUsingPointcutExpression() {
		System.out.println("******** Before Advice using Pointcut Expression ********");
	}
}